
// WikiResponse.java 
// Andrew Davison, ad@coe.psu.ac.th, July 2023

/* DTO (Data Transfer Object) classes used by 
   Google GSON to map the JSON responses from the
   Wikimedia Action API search to Java objects.
   (https://www.mediawiki.org/wiki/API:Main_page)

   Based on code generated by
   https://json2csharp.com/code-converters/json-to-pojo
   when supplied with JSON output ffrom several searches
*/

import java.util.*;



class WikiResponse
{
    String batchcomplete;
    Continue mycontinue;
    Query query;
}


class Continue
{
    int sroffset;
    String mycontinue;
}


class Query
{
    Searchinfo searchinfo;
    ArrayList<Search> search;
}


class Searchinfo
{
    int totalhits;
    String suggestion;
    String suggestionsnippet;
}


class Search
// simplified collection of fields
{
    int ns;
    String title;
    int pageid;
    String snippet;
}


// ----------------------------------------

class WikiError
{
  Error error;
  String servedby;
}


class Error
{
  String code;
  String info;
}
